Subject: Re: [PATCH bpf-next 05/21] xsk: add support for AF_XDP multi-buffer on Rx path

From: Simon Horman <[email-masked]>
Date: Fri, 19 May 2023 11:42:55 +0200

On Thu, May 18, 2023 at 08:05:29PM +0200, Maciej Fijalkowski wrote:
> From: Tirthendu Sarkar <[email-masked]>
> 
> Add multi-buffer support for AF_XDP by extending the XDP multi-buffer
> support to be reflected in user-space when a packet is redirected to
> an AF_XDP socket.
> 
> In the XDP implementation, the NIC driver builds the xdp_buff from the
> first frag of the packet and adds any subsequent frags in the skb_shinfo
> area of the xdp_buff. In AF_XDP core, XDP buffers are allocated from
> xdp_sock's pool and data is copied from the driver's xdp_buff and frags.
> 
> Once an allocated XDP buffer is full and there is still data to be
> copied, the 'XDP_PKT_CONTD' flag in'options' field of the corresponding
> xdp ring decriptor is set and passed to the application. When application

nit: checkpatch.pl --codespell says:

:291: WARNING: 'decriptor' may be misspelled - perhaps 'descriptor'?
xdp ring decriptor is set and passed to the application. When application
         ^^^^^^^^^

...